Basque Cyber Security Centre - Zibersegurtasun Euskal Zentroa

Hainbat ahultasun Geutebrück-en produktuetan

Argitalpen data: 2019/06/05

Garrantzia: Handia

Kaltetutako baliabideak: 

Ahultasunek Encoder eta E2 Series Camera-ren ondoko bertsio eta modeloei eragiten diete:

  • G-Code: 1.12.0.25 bertsio guztiak eta lehenagokoak. 
    • EEC-2XXX
  • G-Cam: 1.12.0.25 bertsio guztiak eta lehenagokoak. 
    • EBC-21XX
    • EFD-22XX
    • ETHC-22XX
    • EWPC-22XX

Azalpena: 

Romain Luyer eta CEISeko Guillaume Gronnier ikertzaileek, RandoriSec-eko Davy Douhine-rekin batera, Cross-site Scripting (XSS) eta sistema operatiboko komandoen injekzio erako hainbat ahultasunen berri eman dute. Ahultasun horiek arrakastaz baliatuz gero urruneko erasotzaile batek urruneko kodea exekuta lezake root modura eta kodea exekutatu IP kameraren operadorearen nabigatzailean.

Konponbidea: 

  • Fabrikatzaileak erabiltzaile erregistratuentzat ahultasun horiek arintzen dituen firmwarearen eguneraketa bat argitaratu du: 
    • 1.12.13.2 bertsioa

Xehetasuna:

  • Gertaeren konfiguraziora sarbidea lukeen autentifikatutako urruneko erasotzaile batek asmo gaiztoko kodea gorde lezake zerbitzarian. Hori ondoren erabiltzaile legitimo batek exekuta lezake, eta orduan erabiltzailearen nabigatzailearen barnean kodea exekutatuko litzateke. Ahultasun horretarako CVE-2019-10957 identifikatzailea erreserbatu da.
  • Autentifikatutako urruneko erasotzaile batek komandoak exekuta litzake root modura, bereziki diseinatutako URL komando baten bidez. Ahultasun horretarako CVE-2019-10956 identifikatzailea erreserbatu da.
  • Erabiltzailearen sarrera parametroetan dagoen baliozkotze oker bat baliatuz, sarearen konfiguraziora sarbidea lukeen urruneko erasotzaile batek sistemaren komandoak sar litzake zerbitzarian, eta horrela urruneko kodea exekutatzea lortuko luke root modura. Ahultasun horretarako CVE-2019-10958 identifikatzailea erreserbatu da.

Etiketak: Eguneraketa, Ahultasuna